# F3DASM
Framework for Data-Driven Design and Analysis of Structures and Materials (F3DASM)

Created by M.A. Bessa (M.A.Bessa@tudelft.nl)

September, 2019

If you use or edit our work, please cite at least one of the appropriate references:

[1] Bessa, M. A., & Pellegrino, S. (2018). Design of ultra-thin shell structures in the stochastic post-buckling range using Bayesian machine learning and optimization. International Journal of Solids and Structures, 139, 174-188.

[2] Bessa, M. A., Glowacki, P., & Houlder, M. (2019). Bayesian machine learning in metamaterial design: fragile becomes super-compressible. Submitted

This code intends to facilitate the design and analysis of structures/metamaterials

The main code is called "STEP1_F3DAS.m".
This code includes inputs that should be changed by the user when dealing with a new problem.
The user typically needs to change the "generate_mesh.m" file as well,
to create the parametric geometries of the structure/metamaterial that is simulated by Finite Element Analysis (FEA).

The Bessa research group at TU Delft is small... At the moment, we have limited availability to help future users/developers adapting the code to new problems, but we will do our best to help!
